KDE 4.2 PyKDE API Reference

- KDE's Python API

# ReadOnlyModel Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.Model → QObject
Namespace: Soprano::Util

## Detailed Description

\class ReadOnlyModel readonlymodel.h Soprano/Util/ReadOnlyModel

Simple filter model preventing any write operations.

Stacking a ReadOnlyModel on top of another model will prevent any write operation to be performed. All calls to non-const methods are terminated by Error.ErrorPermissionDenied.

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  2.1

## Methods

| __init__ (self, Soprano.Model parentModel=0)
Soprano.Error.ErrorCode | addStatement (self, Soprano.Statement statement)
bool | containsAnyStatement (self, Soprano.Statement statement)
bool | containsStatement (self, Soprano.Statement statement)
Soprano.Node | createBlankNode (self)
Soprano.QueryResultIterator | executeQuery (self, QString query, Soprano.Query.QueryLanguage language, QString userQueryLanguage=QString())
bool | isEmpty (self)
Soprano.NodeIterator | listContexts (self)
Soprano.StatementIterator | listStatements (self, Soprano.Statement partial)
Soprano.Error.ErrorCode | removeAllStatements (self, Soprano.Statement statement)
Soprano.Error.ErrorCode | removeStatement (self, Soprano.Statement statement)
| setParentModel (self, Soprano.Model model)
int | statementCount (self)

## Method Documentation

__init__ | ( | self, |
|  | Soprano.Model | parentModel=0
| ) |  |  |

Create a new read-only-model

Parameters:

  | parentModel | The parent Model.

Soprano.Error.ErrorCode addStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

Will do nothing but set an Error.ErrorPermissionDenied error.

bool containsAnyStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

Simply pipes the call through to the parent model.

bool containsStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

Simply pipes the call through to the parent model.

Soprano.Node createBlankNode | ( |  | self ) |

Will do nothing but set an Error.ErrorPermissionDenied error.

Soprano.QueryResultIterator executeQuery | ( | self, |
|  | QString | query,
|  | Soprano.Query.QueryLanguage | language,
|  | QString | userQueryLanguage=QString()
| ) |  |  |

Simply pipes the call through to the parent model.

bool isEmpty | ( |  | self ) |

Simply pipes the call through to the parent model.

Soprano.NodeIterator listContexts | ( |  | self ) |

Simply pipes the call through to the parent model.

Soprano.StatementIterator listStatements | ( | self, |
|  | Soprano.Statement | partial
| ) |  |  |

Default implementation simply pipes the call through to the parent model.

Soprano.Error.ErrorCode removeAllStatements | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

Will do nothing but set an Error.ErrorPermissionDenied error.

Soprano.Error.ErrorCode removeStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

Will do nothing but set an Error.ErrorPermissionDenied error.

setParentModel | ( | self, |
|  | Soprano.Model | model
| ) |  |  |

Set the parent Model.

Parameters:

  | model | The Model that this filter will forward any commands to.

int statementCount | ( |  | self ) |

Simply pipes the call through to the parent model.